Bug 288541 - Needless file /etc/munin/plugins.conf
Needless file /etc/munin/plugins.conf
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: munin (Show other bugs)
6
All Linux
medium Severity low
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
http://munin.projects.linpro.no/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-12 18:00 EDT by Gabriele Pohl
Modified: 2007-12-13 00:51 EST (History)
0 users

See Also:
Fixed In Version: munin-1.2.5-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-13 00:51:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gabriele Pohl 2007-09-12 18:00:26 EDT
Description of problem:

File /etc/munin/plugins.conf seems to be a config file,
but has no function.

The header says: 
#
# This file contains configuration options for the plugins. 

That isn't true.
Config File is /etc/munin/plugin-conf.d/munin-node,
but _not_ /etc/munin/plugins.conf.

A Project Member confirmed that and asked me to file a bug report:
http://sourceforge.net/mailarchive/message.php?msg_name=46E82652.2020008%
40linpro.no

Version-Release number of selected component (if applicable):

1.2.5

How reproducible:

$ rpm -ql munin-node | grep plugins.conf
/etc/munin/plugins.conf

Build Date & Platform: 

Name        : munin-node                   Relocations: (not relocatable)
Version     : 1.2.5                             Vendor: Fedora Project
Release     : 2.fc6                         Build Date: Tue Mar 27 23:43:23 2007
Install Date: Tue May 22 13:18:41 2007      Build Host: ppc3.fedora.redhat.com
Group       : System Environment/Daemons    Source RPM: munin-1.2.5-
2.fc6.src.rpm
Size        : 567802                           License: GPL
Signature   : DSA/SHA1, Wed Mar 28 13:50:55 2007, Key ID 82ed95041ac70ce6
Packager    : Fedora Project <http://bugzilla.redhat.com/bugzilla>
Comment 1 Kevin Fenzi 2007-09-12 23:54:36 EDT
Thanks for the report. I will take a look and see about pushing an update soon... 
Comment 2 Kevin Fenzi 2007-12-01 12:05:30 EST
I've _finally_ updated munin in devel with a version of this patch. 

If everything looks ok in devel for a few days I will update F7 and F8 and close
this. Thanks for the bug report and patch!

Comment 3 Fedora Update System 2007-12-06 12:40:48 EST
munin-1.2.5-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update munin'
Comment 4 Fedora Update System 2007-12-06 15:54:16 EST
munin-1.2.5-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update munin'
Comment 5 Fedora Update System 2007-12-12 14:52:44 EST
munin-1.2.5-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2007-12-12 14:53:59 EST
munin-1.2.5-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.